Get Automation State
GET
/api/automations/{automation_alias}/state
const url = 'https://example.com/api/automations/example/state';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/automations/example/state \ --header 'Authorization: Bearer <token>'Combined deployment + runtime view for this env. Single round-trip from backend’s detail page. Runtime comes live from Databricks (no Postgres mirror).
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”automation_alias
required
Automation Alias
string
Responses
Section titled “Responses”Successful Response
Media typeapplication/json
AutomationStateResponse
Combined deployment + runtime view for the detail page.
object
Examplegenerated
{ "success": true, "automation_alias": "example", "deployment": {}, "runtime": {}}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}